<div class="navigation btn-group" dropdown>
    <div dropdownToggle>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <g data-name="Layer 2">
                <g data-name="menu-2">
                    <rect
                        width="24"
                        height="24"
                        transform="rotate(180 12 12)"
                        opacity="0"
                    />
                    <circle cx="4" cy="12" r="1" />
                    <rect
                        x="7"
                        y="11"
                        width="14"
                        height="2"
                        rx=".94"
                        ry=".94"
                    />
                    <rect
                        x="3"
                        y="16"
                        width="18"
                        height="2"
                        rx=".94"
                        ry=".94"
                    />
                    <rect x="3" y="6" width="18" height="2" rx=".94" ry=".94" />
                </g>
            </g>
        </svg>
    </div>

    <ul
        id="dropdown-basic"
        *dropdownMenu
        class="dropdown-menu dropdown-menu-right"
        role="menu"
        aria-labelledby="button-basic"
    >
        <li role="menuitem"><a class="dropdown-item" href="#">News</a></li>
        <li role="menuitem"><a class="dropdown-item" href="#">About</a></li>
        <li role="menuitem"><a class="dropdown-item" href="#">Pricing</a></li>
        <li class="divider dropdown-divider"></li>
        <li role="menuitem">
            <a class="dropdown-item" (click)="toggleTheme($event)">Toggle Theme</a>
        </li>
    </ul>
</div>
